org.bdgenomics.adam.rdd

# GenomicPositionPartitioner

#### case class GenomicPositionPartitioner(numParts: Int, seqLengths: Map[String, Long]) extends Partitioner with Logging with Product with Serializable

GenomicPositionPartitioner partitions ReferencePosition objects into separate, spatially-coherent regions of the genome.

This can be used to organize genomic data for computation that is spatially distributed (e.g. GATK and Queue's "scatter-and-gather" for locus-parallelizable walkers).

numParts

  The number of equally-sized regions into which the total genomic space is partitioned; the total number of partitions is numParts + 1, with the "+1" resulting from one extra partition that is used to capture null or UNMAPPED values of the ReferencePosition type.

seqLengths

  a map relating sequence-name to length and indicating the set and length of all extant sequences in the genome.

Linear Supertypes
Product, Equals, Logging, Partitioner, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenomicPositionPartitioner
2. Product
3. Equals
4. Logging
5. Partitioner
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new GenomicPositionPartitioner(numParts: Int, seqLengths: Map[String, Long])

   numParts

     The number of equally-sized regions into which the total genomic space is partitioned; the total number of partitions is numParts + 1, with the "+1" resulting from one extra partition that is used to capture null or UNMAPPED values of the ReferencePosition type.

   seqLengths

     a map relating sequence-name to length and indicating the set and length of all extant sequences in the genome.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def getPartition(key: Any): Int

    Computes the partition for a key.

    Computes the partition for a key.

    key

      A key to compute the partition for.

    returns

      The partition that this key belongs to.

    Definition Classes
      GenomicPositionPartitioner → Partitioner
    Exceptions thrown
      IllegalArgumentException

      if the key is not a ReferencePosition, or (ReferencePosition, _) tuple.

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

14. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

15. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

16. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

17. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

18. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def numPartitions: Int

    This is the total number of partitions for both mapped and unmapped positions.

    This is the total number of partitions for both mapped and unmapped positions. All unmapped positions go into the last partition.

    Definition Classes
      GenomicPositionPartitioner → Partitioner
    See also

      parts

30. #### val numParts: Int

    The number of equally-sized regions into which the total genomic space is partitioned; the total number of partitions is numParts + 1, with the "+1" resulting from one extra partition that is used to capture null or UNMAPPED values of the ReferencePosition type.

31. #### val seqLengths: Map[String, Long]

    a map relating sequence-name to length and indicating the set and length of all extant sequences in the genome.

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      GenomicPositionPartitioner → AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from Partitioner

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped